#
# SuperCede(TM) Native EXE Property File
#
# This generic Java property file (see java.util.Property.load()) is used to
# pass java.lang.System properties to the SuperCede runtime for a SuperCede
# native EXE.
#
# For any particular SuperCede built EXE, the runtime will look for one of
# these files with the same path and name as the EXE but with the '.EXE'
# extension replaced with '.properties'. So, for example, if your EXE is named
# 'c:\users\douglas\Foo.exe' then the runtime would look for a file named
# 'c:\users\douglas\Foo.properties'.
#
# If found, the runtime will load this file AFTER having first establishing
# default values for System property but BEFORE calling the EXEs main() method.
#
# In addition to setting arbitrary properties, this file is currently the
# only method for passing JRE-style VM options to the SuperCede runtime for an
# EXE. The currently supported options are:
#
# JRE Flag        SuperCede Property            Default Value
# --------        ------------------            -------------
# -classpath <p>  supercede.rt.classpath=<p>    <if JRE found: same as JRE>
# -cp <p>         supercede.rt.cp=<p>           '<exename>.jar' (if found)
# -mx #           <not supported>
# -ms #           <not supported>
# -noasyncgc      <not supported>               <implicitly true>
# -noclassgc      supercede.rt.noclassgc=true   false
# -nojit          <not applicable>
# -ss #           <not supported>
# -oss #          <not supported>
# -v, -verbose    supercede.rt.verbose=true     false
# -noverify       supercede.rt.verify=none      none
# -verifyremote   supercede.rt.verify=remote
# -verify         supercede.rt.verify=all
#
# There are some additional options available for SuperCede created EXEs
# to configure the runtime:
#
# EXE Specific SuperCede Runtime Properties
# -----------------------------------------
# supercede.rt.jarlist=<p>              A semicolon delimited list of zip
#                 files to be added to the final EXE classpath between
#                 'supercede.rt.cp' and 'supercede.rt.classpath'. Those files
#                 with relative paths are assumed to be relative to the
#                 directory where the EXE is located. Note that this is NOT
#                 necessarily the current directory.
#
# The remainder of these options are supported for both EXEs and the SuperCede
# FlashCompiler launched with the JRE.
#
# SuperCede Runtime Properties
# ----------------------------
# supercede.rt.dlllist=<p>              A semicolon delimited list of DLLs to
#                 be loaded by the runtime. Classes loaded by Class.forName()
#                 which are found in SuperCede built DLLs will not have to be
#                 FlashCompiled by the runtime. DLLs listed here are passed
#                 directly to the Win32 function LoadLibrary() and will thus
#                 follow the search behavior it specifies.
#
# supercede.rt.optlevel=none/normal/full
#
#                                       com.supercede.util.gc.method
# supercede.rt.gc.threshold=#           setThresholdKb(#)
# supercede.rt.gc.debug=#               setDebugLevel(#)
# supercede.rt.gc.debuglogfile=<f>      setLogFile(f)
# supercede.rt.gc.tracefile=<f>         setTraceFile(f)
# supercede.rt.gc.pagefilelimit=#       setPageFileLimitKb(#)
#
# The SuperCede runtime also supports setting arbitrary properties from both
# the environment and the Win32 registry. For the latter only keys of type
# REG_SZ or REG_EXPAND_SZ are supported.
#
# The SuperCede runtime supports setting arbitrary properties from the Win32
# registry. Only values of type REG_SZ or REG_EXPAND_SZ are supported and the
# the value string must begin with one of the standard HKEY_* values. For
# example:
# 
#     supercede.rt.fromreg.<property>=<value>
#
#  To set java.home from a registry value:
#
#     supercede.rt.fromreg.java.home=HKEY_LOCAL_MACHINE\SOFTWARE\Foo\JavaHome
# 
# The SuperCede runtime also support setting arbitrary properties from the
# process environment. The value string is case insenstive. For example:
#
#     supercede.rt.fromenv.<property>=<value>
#
#  To set java.home from the environment variable JAVA_HOME:
#
#     supercede.rt.fromenv.java.home=JAVA_HOME
# 
#
# Some things to think about:
#
# 1. Because this file is loaded AFTER the default properties are established
#    the values specified here can override the default properties and have
#    unexpected results. Take care.
#
# 2. Order matters: properties at the top of the file can be overridden
#    by the same properties at the bottom of the file. However, supercede
#    properties will always override equivalent non-supercede properties
#    because they are processed after the file has been read in and the
#    all the properties set. So, for exmaple, supercede.rt.classpath will
#    always override java.class.path even though java.class.path may have
#    been specified earlier in the file.
#
# 3. It takes some amount of time, albeit small, to read in this file on
#    startup. Feel free to remove the comments once you understand what is
#    going on.
#
supercede.rt.jarlist = rgb.jar
